<?php
namespace Adherence\Entity;

use Doctrine\ORM\Mapping as ORM;



/**
 * @ORM\Entity
 * @ORM\Table(name="adherence_stock")
 */
class AdherenceStock
{

	/**
	 * Can archive records.
	 */
	const ARCHIVE = false;
	/**
	 * Pull Synchronization Strategy for this table.
	 */
	const PULL_SYNCH_STRATEGY = false;
	/**
	 * Push Synchronization Strategy for this table.
	 */
	const PUSH_SYNCH_STRATEGY = false;


	/**
	 * @ORM\Id
	 * @ORM\Column(type="integer");
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;

	/**
	 * @ORM\ManyToOne(targetEntity="Adherence")
	 * @ORM\JoinColumn(name="adherence_id", referencedColumnName="id")
	 **/
	protected $adherence;

	/**
	 * @ORM\ManyToOne(targetEntity="\Stock\Entity\Stock", inversedBy="adherence")
	 * @ORM\JoinColumn(name="stock_id", referencedColumnName="id")
	 **/
	protected $stock;



	/**
	 * Magic getter to expose protected properties.
	 * @param string $property
	 * @return mixed
	 */
	public function __get($property)
	{
		return $this->$property;
	}

	/**
	 * Magic setter to save protected properties.
	 * @param string $property
	 * @param mixed $value
	 */
	public function __set($property, $value)
	{
		$this->$property = $value;
	}

	/**
	 * Convert the object to an array.
	 * @param array $expand
	 * @param array $intersect
	 * @return array
	 */
	public function toArray(
			array $expand = array(), array $intersect = array(), $showIdentifiers = false
			)
	{
		$includeAll = empty($intersect);
		$data = array();
		($includeAll || isset($intersect['id']))
			&& $data['id'] = $this->id;
		($includeAll || isset($intersect['adherence']))
			&& $data['adherence'] = $showIdentifiers
									? $this->adherence->id
									: $this->adherence->toArray();
		return $data;
	}

	/**
	 * Populate from an array.
	 * @param array $data
	 */
	public function fromArray($data = array())
	{
		isset($data['id'])
			&& $this->id = $data['id'];
		isset($data['stock'])
			&& $this->stock  = $data['stock'];
		isset($data['adherence'])
			&& $this->adherence  = $data['adherence'];
	}

}
