<?php
namespace Auction\DataBin;



/**
 * Manage Increment data.
 * @author andre.fourie
 */
class Increment extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Increment',
			'DatasetName' => 'increments',
			'Entity'      => '\Auction\Entity\Increment',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'			=> 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter' => array(),
			'OrderBy' => array(
					'to' => 'ASC'
			),
			'Fields' => array(
				'id',
				'from',
				'to',
				'amount'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'			=> 'Create',
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
					'Increment' => array(
							'from'   => 'Integer',
							'to'     => 'Integer',
							'amount' => 'Decimal'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'Increment' => array(
							'from'   => 'Integer',
							'to'     => 'Integer',
							'amount' => 'Decimal'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}