<?php
namespace Auction\Report;



/**
 * Stock Contyrol Report.
 * @author andre.fourie
 */
class HistoricGrid extends \Utility\Service\Report
{



	/**
	 * @var string
	 */
	protected $_title  = 'Auction Data Export';
	/**
	 * @var string
	 */
	protected $_subject = 'Vehicles on auction.';
	/**
	 * @var string
	 */
	protected $_description = 'Export of vehicles on auction.';
	/**
	 * @var array
	 */
	protected $_notes = array(
			'Confidential information, generated using Bid 4 Cars, for more information visit bid4cars.com.na'
			);
	/**
	 * @var array
	 */
	protected $_headers = array(
			'Make',
			'Model',
			'Type',
			'MM Code',
			'Year',
			'KM',
			'Trade Price',
			'Recon Costs',
			'Highest Bid',
      'Date Solde'
			);
	/**
	 * @var array
	 */
	protected $_fields = array(
			'make_name',
			'model_name',
			'type_name',
      'type_mmCode',
			'vehicleYear_name',
			'stock_km',
			'stock_tradePrice',
            'stock_listPrice',
			'stock_damageTotal',
			'stock_highestBid',
      'auction_endDate'
			);
	/**
	 * @var array
	 */
	protected $_totals = array(
			'stock_tradePrice',
            'stock_listPrice',
			'stock_highestBid',
			'stock_damageTotal'
			);
	/**
	 * @var array
	 */
	protected $_currencyFields = array(
			'stock_tradePrice',
            'stock_listPrice',
			'stock_highestBid',
			'stock_damageTotal'
			);



	/**
	 * Build the dataset, or not.
	 */
	public function build()
	{
		#-> Data passed by DataBin Grid functionality.
		$dateTimeFormat = \Utility\Definitions\Locale::getDateTimeFormat();
		foreach ($this->_data as $rowId => $rowData)
		{
			$this->_data[$rowId]['auction_endDate'] = $rowData['auction_endDate']->format($dateTimeFormat);
		}
	}

}
