<?php
namespace Company\DataBin;



/**
 * Manage Company data.
 * @author andre.fourie
 */
class Group extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Group',
			'DatasetName' => 'groups',
			'Entity'      => '\Company\Entity\Group',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);

    /**
     * @var array
     */
    protected $metaStockAuctionSelectList = array(
        'Type'          => 'SelectList',
        'Contract'      => 'Recurring',
        'RequiredInput' => array(),
        'OptionalInput' => array(
            'Filter' => array(
                'id'         => 'Id'
            )
        ),
        'Filter'   => array(),
        'Label'    => array(
            'Format' => '[name]',
            'Fields' => array('name')
        )
    );
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'			=> 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter' 		=> array(),
			'OrderBy' 		=> array(
					'name' => 'ASC'
			),
			'Fields' => array(),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'			=> 'Create',
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
					'Group' => array(
							'name' 			=> 'String100',
							'pricingType' 	=> 'String25'
					)
			),
			'OptionalInput' => array(
					'Group' => array(
							'priceGuide' 	=> 'Boolean',
							'fixedPricing' 	=> 'Integer'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'Group' => array(
							'name' 			=> 'String100',
							'pricingType' 	=> 'String25'
					)
			),
			'OptionalInput' => array(
					'Group' => array(
							'priceGuide' 	=> 'Boolean',
							'fixedPricing' 	=> 'Integer'
					)
			)
	);

//    /**
//     * Add some dynamic filtering to our grids.
//     */
//    public function __construct()
//    {
//        $authData = \Utility\Registry::getAuthData();
//
//        error_log($authData['company']['group']['id']);
//
//        switch (\Utility\Registry::getUserType())
//        {
//            case 'B4C User':
//                $groupFilter = \Utility\Registry::getSudo('Group', false);
//                $groupFilter
//                && $this->StockAuctionSelectList['Filter']['group'] = $groupFilter;
//
//
//                break;
//            case 'Group User':
//
//                $this->StockAuctionSelectList['Filter']['group'] = $authData['company']['group']['id'];
//
////                $divisionFilter = \Utility\Registry::getSudo('Division', false);
////                //$divisionFilter
////                //	&& $this->metaInviteSelectList['Filter']['groupDivision'] = $divisionFilter;
////                $companyFilter = \Utility\Registry::getSudo('Company', $authData['company']['id']);
////                //$companyFilter
////                //	&& $this->metaInviteSelectList['Filter']['id'] = '!=' . $companyFilter;
////                $companyFilter
////                && $this->metaTcDealerSelectList['Filter']['tradeCenter'] = $companyFilter;
////                $companyFilter
////                && $this->metaStockAuctionReportSelectList['Filter']['tradeCenter'] = $companyFilter;
//                break;
//            default:
//
//                $this->StockAuctionSelectList['Filter']['group'] = $authData['company']['group']['id'];
//
//
////                //$this->metaInviteSelectList['Filter']['groupDivision'] = $authData['company']['groupDivision']['id'];
////                //$this->metaInviteSelectList['Filter']['id'] = '!=' . $authData['company']['id'];
////                $this->metaTcDealerSelectList['Filter']['tradeCenter'] = $authData['company']['id'];
////                $this->metaStockAuctionReportSelectList['Filter']['tradeCenter'] = $authData['company']['id'];
//                break;
//        }
//    }

}