<?php
namespace Company\Entity;

use Doctrine\ORM\Mapping as ORM;



/**
 * Found Method Detail.
 * @ORM\Entity
 * @ORM\Table(name="company_found_method_subcategory")
 */
class FoundMethodDetail
{

	/**
	 * Can archive records.
	 */
	const ARCHIVE = true;
	/**
	 * Pull Synchronization Strategy for this table.
	 */
	const PULL_SYNCH_STRATEGY = false;
	/**
	 * Push Synchronization Strategy for this table.
	 */
	const PUSH_SYNCH_STRATEGY = false;


	/**
	 * @ORM\Id
	 * @ORM\Column(type="integer");
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;

	/**
	 * @ORM\ManyToOne(targetEntity="FoundMethod", inversedBy="methodDetails")
	 * @ORM\JoinColumn(name="company_found_method_id", referencedColumnName="id")
	 **/
	protected $foundMethod;

	/**
	 * @ORM\Column(type="string", length=100)
	 */
	protected $name;

	/**
	 * @ORM\Column(type="boolean");
	 */
	protected $archived = false;


	/**
	 * Magic getter to expose protected properties.
	 * @param string $property
	 * @return mixed
	 */
	public function __get($property)
	{
		return $this->$property;
	}

	/**
	 * Magic setter to save protected properties.
	 * @param string $property
	 * @param mixed $value
	 */
	public function __set($property, $value)
	{
		$this->$property = $value;
	}

	/**
	 * Convert the object to an array.
	 * @param array $expand
	 * @param array $intersect
	 * @return array
	 */
	public function toArray(array $expand = array(), array $intersect = array())
	{
		$dateTimeFormat = \Utility\Registry::getConfigParam('DateTimeFormat');
		$includeAll = empty($intersect);
		$data = array();
		($includeAll || isset($intersect['id']))
			&& $data['id'] = $this->id;
		($includeAll || isset($intersect['foundMethod']))
			&& in_array('foundMethod', $expand)
			&& $data['foundMethod'] = $this->foundMethod->toArray($expand, $intersect);
		($includeAll || isset($intersect['name']))
			&& $data['name'] = $this->name;
		return $data;
	}

	/**
	 * Populate from an array.
	 * @param array $data
	 */
	public function fromArray($data = array())
	{
		isset($data['id'])
			&& $this->id = $data['id'];
		isset($data['foundMethod'])
			&& $this->foundMethod = $data['foundMethod'];
		isset($data['name'])
			&& $this->name = $data['name'];
	}

}
