<?php
namespace Dispute;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = 'Auction';
	/**
	 * @var string
	 */
	protected $rootEntity    = 'Dispute';
	/**
	 * @var string
	 */
	protected $rootIdField   = 'dispute';
	/**
	 * @var string
	 */
	protected $initState     = 'Active';
	/**
	 * @var string
	 */
	protected $initTrigger   = false;
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Dispute';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Dispute' 			=> '\Dispute\Entity\Dispute',
			'Auction' 			=> '\Auction\Entity\Auction',
			'FromCompany' 		=> '\Company\Entity\Company',
			'AgainstCompany' 	=> '\Company\Entity\Company',
			'CreatedBy' 		=> '\User\Entity\Profile'
	);
	/**
	 * @var array
	 */
	protected $linkMap = array();
	/**
	 * @var array
	 */
	protected $listen = array();
	/**
	 * @var array
	 */
	protected $reclaim = array();
	/**
	 * @var array
	 */
	protected $stateLabel = array(
		'PendingPayment' => 'Pending Payment',
		'InProgress'     => 'In Progress'
	);
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					'Dispute.Grid'           	=> array(),
          'Dispute.GridDef'           	=> array(),
					'Dispute.AdminGrid'        	=> array(),
					'Dispute.Create' 			=> array()
				)
			),
			'Pending Payment' => array(
				'Actions' => array(
					'Dispute.View'              => array(),
					'Dispute.Update'            => array()
				),
				'Routes' => array(
					'Workflow.MoveToNew'  => array(
							'Destination' => 'This.New'
					),
					'Workflow.MoveToInProgress' => array(
							'Destination' => 'This.InProgress'
					),
					'Workflow.Resolve'    => array(
							'Destination' => 'This.Resolved'
					)
				)
			),
			'New' => array(
				'Actions' => array(
					'Dispute.View'              => array(),
					'Dispute.Update'            => array()
				),
				'Routes' => array(
					'Workflow.MoveToInProgress' => array(
							'Destination' => 'This.InProgress'
					),
					'Workflow.Resolve'    => array(
							'Destination' => 'This.Resolved'
					)
				)
			),
			'In Progress' => array(
				'Actions' => array(
					'Dispute.View'              => array(),
					'Dispute.Update'            => array()
				),
				'Routes' => array(
					'Workflow.Resolve'    => array(
							'Destination' => 'This.Resolved'
					)
				)
			),
			'Resolved' => array(
				'Actions' => array(
					'Dispute.View'  			=> array(),
					'Dispute.Update'            => array()
				)
			)
	);


}
