<?php
namespace Location\Service;



/**
 * Manage region data.
 * @author andre.fourie
 */
class Region extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Region',
			'DatasetName' => 'regions',
			'Entity'      => '\Location\Entity\Region',
			'References'  => array(
					'country' => '\Location\Entity\Country'
			),
			'Dependants'  => array(
					'Town' => '\Location\Entity\Town'
			)
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String75',
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2'
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'name'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String75',
							'country'     => 'Id'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	*/
	protected $metaSelectListNames = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'Array',
							'country'     => 'Id'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Contract' => 'Recurring',
			'RequiredInput' => array(
					'Region' => array(
							'country' => 'Id',
							'name'    => 'String75'
					)
			),
			'OptionalInput' => array(
					'Region' => array(
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Contract' => 'UseOnce',
			'RequiredInput' => array(
					'Region' => array(
							'country' => 'Id',
							'name'    => 'String75'
					)
			),
			'OptionalInput' => array(
					'Region' => array(
							'isoCode'     => 'String2',
							'fipsCode'    => 'String2'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}