<?php
namespace Location\Service;



/**
 * Manage town data.
 * @author andre.fourie
 */
class Town extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Town',
			'DatasetName' => 'towns',
			'Entity'      => '\Location\Entity\Town',
			'References'  => array(
				'region' => '\Location\Entity\Region'
			)
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String100'
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'name'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'name'        => 'String100',
							'region'      => 'Id'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);
	/**
	 * @var array
	 */
	protected $metaCreate = array(
			'Contract' => 'Recurring',
			'RequiredInput' => array(
				'Town' => array(
					'region' => 'Id',
					'name'   => 'String100'
				)
			)
	);
	/**
	 * @var array
	 */
	protected $metaUpdate = array(
			'Contract' => 'UseOnce',
			'RequiredInput' => array(
				'Town' => array(
					'region' => 'Id',
					'name'   => 'String100'
				)
			)
	);
	/**
	 * @var array
	 */
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}