<?php
namespace Person\Entity;

use Doctrine\ORM\Mapping as ORM;



/**
 * A country, in such a small file, imagine that.
 * @ORM\Entity
 * @ORM\Table(name="lib_contact")
 */
class Contact
{

	/**
	 * Can archive records.
	 */
	const ARCHIVE = true;
	/**
	 * Pull Synchronization Strategy for this table.
	 */
	const PULL_SYNCH_STRATEGY = false;
	/**
	 * Push Synchronization Strategy for this table.
	 */
	const PUSH_SYNCH_STRATEGY = false;


	/**
	 * @ORM\Id
	 * @ORM\Column(type="integer");
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;

	/**
	 * @ORM\Column(type="string", length=50, nullable=true, name="first_name")
	 */
	protected $firstName;

	/**
	 * @ORM\Column(type="string", length=50, nullable=true, name="family_name")
	 */
	protected $familyName;

	/**
	 * @ORM\Column(type="string", length=20, nullable=true)
	 */
	protected $mobile;

	/**
	 * @ORM\Column(type="string", length=20, nullable=true)
	 */
	protected $office;

	/**
	 * @ORM\Column(type="string", length=20, nullable=true)
	 */
	protected $fax;

	/**
	 * @ORM\Column(type="string", length=255, nullable=true)
	 */
	protected $email;

	/**
	 * @ORM\Column(type="boolean");
	 */
	protected $archived = false;


	/**
	 * Magic getter to expose protected properties.
	 * @param string $property
	 * @return mixed
	 */
	public function __get($property)
	{
		return $this->$property;
	}

	/**
	 * Magic setter to save protected properties.
	 * @param string $property
	 * @param mixed $value
	 */
	public function __set($property, $value)
	{
		$this->$property = $value;
	}

	/**
	 * Convert the object to an array.
	 * @param array $expand
	 * @param array $intersect
	 * @return array
	 */
	public function toArray(array $expand = array(), array $intersect = array())
	{
		$includeAll = empty($intersect);
		$data = array();
		($includeAll || isset($intersect['id']))
			&& $data['id'] = $this->id;
		($includeAll || isset($intersect['firstName']))
			&& $data['firstName'] = $this->firstName;
		($includeAll || isset($intersect['familyName']))
			&& $data['familyName'] = $this->familyName;
		($includeAll || isset($intersect['fullName']))
			&& $data['fullName'] = $this->firstName . ' ' . $this->familyName;
		($includeAll || isset($intersect['mobile']))
			&& $data['mobile'] = $this->mobile;
		($includeAll || isset($intersect['office']))
			&& $data['office'] = $this->office;
		($includeAll || isset($intersect['fax']))
			&& $data['fax'] = $this->fax;
		($includeAll || isset($intersect['email']))
			&& $data['email'] = $this->email;
		return $data;
	}

	/**
	 * Populate from an array.
	 * @param array $data
	 */
	public function fromArray($data = array())
	{
		isset($data['id'])
			&& $this->id = $data['id'];
		isset($data['firstName'])
			&& $this->firstName = $data['firstName'];
		isset($data['familyName'])
			&& $this->familyName = $data['familyName'];
		isset($data['mobile'])
			&& $this->mobile = $data['mobile'];
		isset($data['office'])
			&& $this->office = $data['office'];
		isset($data['fax'])
			&& $this->fax = $data['fax'];
		isset($data['email'])
			&& $this->email = $data['email'];
	}

}
