<?php
namespace Person\Service;



/**
 * Manage contact data.
 * @author andre.fourie
 */
class Contact extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Contact',
			'DatasetName' => 'contacts',
			'Entity'      => '\Person\Entity\Contact',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'          => 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'firstName'  => 'String50',
							'familyName' => 'String50',
							'mobile'     => 'Mobile',
							'office'     => 'Mobile',
							'fax'        => 'Mobile',
							'email'      => 'Email'
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'name'
			),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'firstName'  => 'String50',
							'familyName' => 'String50',
							'mobile'     => 'Mobile',
							'office'     => 'Mobile',
							'fax'        => 'Mobile',
							'email'      => 'Email'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[firstName] [familyName]',
				'Fields' => array('firstName', 'familyName')
			)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'          => 'Create',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Contact' => array(
							'firstName'  => 'String50',
							'familyName' => 'String50',
							'mobile'     => 'Mobile',
							'office'     => 'Mobile',
							'fax'        => 'Mobile',
							'email'      => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Contact' => array(
							'firstName'  => 'String50',
							'familyName' => 'String50',
							'mobile'     => 'Mobile',
							'office'     => 'Mobile',
							'fax'        => 'Mobile',
							'email'      => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Type'     => 'Delete',
			'Contract' => 'UseOnce'
	);

}