<?php
namespace PriceGuide\DataBin;



/**
 * Manage Offer data.
 * @author andre.fourie
 */
class Offer extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Offer',
			'DatasetName' => 'models',
			'Entity'      => '\PriceGuide\Entity\Offer',
			'JobField'    => 'priceGuideStock',
			'References'  => array(
					'priceGuideStock' => '\PriceGuide\Entity\PriceGuide',
					'company'         => '\Company\Entity\Company',
					'profile'         => '\User\Entity\Profile'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'          => 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'company'         => 'Id',
							'profile'         => 'Id',
							'amount'          => 'Decimal',
							'created'         => 'Date',
							'updated'         => 'Date'
					)
			),
			'Filter' => array(),
			'Fields' => array(),
			'Expand' => array('company')
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'          => 'Create',
			'Contract'      => 'Recurring',
			'ExecuteAfter'  => array(
					'updateStatusAndStock'
			),
			'RequiredInput' => array(
					'Offer' => array(
							'amount' => 'Decimal'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'ExecuteAfter'  => array(
					'updateStatusAndStock'
			),
			'RequiredInput' => array(
					'Offer' => array(
							'amount' => 'Decimal'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaArchive = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'ExecuteAfter'  => array(
					'archive'
			),
			'RequiredInput' => array(),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUnarchive = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'ExecuteAfter'  => array(
					'unarchive'
			),
			'RequiredInput' => array(),
			'OptionalInput' => array()
	);

}