<?php
namespace Retail;
return array(
    'doctrine' => array(
        'driver' => array(
            __NAMESPACE__ . '_driver' => array(
                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
                'cache' => 'array',
                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
            ),
            'orm_default' => array(
                'drivers' => array(
                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
                )
            )
        )
    ),
		'controllers' => array(
				'invokables' => array(
						'Retail\Controller\Api' => 'Retail\Controller\ApiController',
						'Retail\Controller\Retail' => 'Retail\Controller\RetailController'
				),
		),
		'router' => array(
				'routes' => array(
						'retail' => array(
								'type'    => 'segment',
								'options' => array(
										'route'    => '/api/xml-rpc',
										'defaults' => array(
												'controller' => 'Retail\Controller\Api',
												'action'     => 'index',
										),
								),
						)
				),
		),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'retailprocess' => array(
	                    'options' => array(
	                        'route'    => 'retail process',
	                        'defaults' => array(
	                            'controller' => 'Retail\Controller\Retail',
	                            'action'     => 'process'
	                        )
	                    )
	                )
	            )
	        )
	    ),
		'view_manager' => array(
				'template_path_stack' => array(
						'retail' => __DIR__ . '/../view',
				),
        'strategies' => array(
            'ViewJsonStrategy',
        )
));