<?php
namespace Retail\Service;



/**
 * Manage Retail data.
 * @author andre.fourie
 */
class Retail extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Retail',
			'DatasetName' => 'retailers',
			'Entity'      => '\Retail\Entity\Retail',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);



	/**
	 * CRON functionality: Move Auction items as needed.
	 * @param arary $meta
	 * @param \Auction\Entity\Auction $record
	 * @param \Workspace\Contract\AbstractBase $contract
	 */
	public function cronProcess()
	{
		#-> Phase 1.
		$date = date('Y-m-d H:i:s');
		$result = $this->em->createQuery(
				'SELECT stock FROM \Stock\Entity\Stock stock '
				. 'WHERE stock.jobState = \'Retail\''
				. ' AND stock.reset <= \'' . $date . '\''
			)
			->getResult();
		foreach ($result as $item)
		{
			$item->jobState = 'Stock';
			$item->reset = null;
			$this->em->flush($item);
		}

	}

}