<?php
namespace Statistical\Service;



/**
 * Manage Statistical data.
 * @author andre.fourie
 */
class Statistical extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        	=> 'Statistical',
			'DatasetName' 	=> 'statistical',
			'Entity'      	=> '\Statistical\Entity\Statistical',
			'References'  	=> array(),
			
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      	=> 'Recurring',
			'RequiredInput' 	=> array(),
			'OptionalInput' 	=> array(
					'Filter' 	=> array(
							'stock'       		=> 'Id',
							'dealdone'    		=> 'Boolean',
							'dealnotdone'       => 'Boolean',
							'tradecentre'       => 'Boolean',
							'fromProfile'       => 'Id',
							'created'       	=> 'Date',
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'stock',
				'dealdone',
				'dealnotdone',
				'tradecentre',
				'fromProfile',
				'created'
			),
			'Expand' => array()
	);
	
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
							'stock' 			=> 'Id',
							'created'       	=> 'Date'
			),
			'OptionalInput' => array(
							'dealdone'    		=> 'Boolean',
							'dealnotdone'       => 'Boolean',
							'tradecentre'       => 'Boolean',
							'fromProfile'       => 'Id'
					
			)
	);


	public function clickReport()
	{
		$counts = $this->em->createQuery(
				'SELECT c.bannerId, COUNT(c.id) AS total '
				. 'FROM \\Statistical\\Entity\\Click c '
				. 'WHERE c.created >= :minDate '
				. 'GROUP BY c.bannerId'
			)
			->setParameter('minDate', date('Y-m-') . '01 00:00:00')
			->getScalarResult();
		$data = array();
		$data[] = '<h4>Click report for ' . date('Y-m') . '</h4>';
		$data[] = '<br/>';
		foreach ($counts as $count)
		{
			$data[] = $count['bannerId'] . ': ' . $count['total'] . '<br/>';
		}
		$data[] = '<br/>';
		$data[] = '<br/>';

		$oNotify = new \Utility\Comms\Notification();
		$oNotify->sendBasicEmail(
			'info@bid4cars.com.na',
			'Click report for ' . date('Y-m'),
			implode('', $data)
		);
	}
	
	

}