<?php
namespace Stock;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'Stock\Controller\Stock' => 'Stock\Controller\StockController'
				),
		),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'vehicleupdate' => array(
	                    'options' => array(
	                        'route'    => 'vehicle import <filename>',
	                        'defaults' => array(
	                            'controller' => 'Stock\Controller\Stock',
	                            'action'     => 'update'
	                        )
	                    )
	                ),
                    'vehiclebulkupdate' => array(
                        'options' => array(
                            'route'    => 'bulk vehicle import <filename> <importType> <userId> <companyId>',
                            'defaults' => array(
                                'controller' => 'Stock\Controller\Stock',
                                'action'     => 'bulkImport'
                            )
                        )
                    ),
	                'stockimageupload' => array(
	                    'options' => array(
	                        'route'    => 'stock imageupload',
	                        'defaults' => array(
	                            'controller' => 'Stock\Controller\Stock',
	                            'action'     => 'imageUpload'
	                        )
	                    )
	                ),
                    'cleanUpStockAndValuationDatabase' => array(
                        'options' => array(
                            'route'    => 'clean up database <valuationDate> <stockDate>',
                            'defaults' => array(
                                'controller' => 'Stock\Controller\Stock',
                                'action'     => 'cleanUpStockAndValuationDatabase'
                            )
                        )
                    ),
                    'cleanUpStockAndValuationDatabaseWorker' => array(
                        'options' => array(
                            'route'    => 'clean up database worker <id> <currentStatus> <table>',
                            'defaults' => array(
                                'controller' => 'Stock\Controller\Stock',
                                'action'     => 'cleanUpStockAndValuationDatabaseWorker'
                            )
                        )
                    ),
	                'stockchangepush' => array(
	                    'options' => array(
	                        'route'    => 'stock change <changeCode> <id> <skipId>',
	                        'defaults' => array(
	                            'controller' => 'Stock\Controller\Stock',
	                            'action'     => 'pushChange'
	                        )
	                    )
	                ),
                    'exportDataForGems' => array(
                        'options' => array(
                            'route'    => 'export data to gems',
                            'defaults' => array(
                                'controller' => 'Stock\Controller\Stock',
                                'action'     => 'exportDataForGems'
                            )
                        )
                    ),
	            )
	        )
	    )
);