<?php
namespace Stock\DataBin;



/**
 * Stock reports.
 * @author andre.fourie
 */
class Report extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Stock',
			'DatasetName' => 'stock',
			'Entity'      => '\Stock\Entity\Stock',
			'References'  => array(
					'region'             => '\Location\Entity\Region',
					'type'               => '\Stock\Entity\Type',
					'fuelType'           => '\Stock\Entity\FuelType',
					'transmissionType'   => '\Stock\Entity\TransmissionType',
					'exteriorColour'     => '\Stock\Entity\ExteriorColour',
					'interiorColour'     => '\Stock\Entity\InteriorColour',
					'condition'          => '\Stock\Entity\Condition',
					'vehicleYear'        => '\Stock\Entity\Year',
					'upholstery'         => '\Stock\Entity\Upholstery',
					'papers'             => '\Stock\Entity\Paper',
					'natis'              => '\Stock\Entity\Natis',
					'fullServiceHistory' => '\Stock\Entity\FullServiceHistory',
					'mainImage'          => '\Utility\Entity\Image',
					'frontImage'         => '\Utility\Entity\Image',
					'rightImage'         => '\Utility\Entity\Image',
					'leftImage'          => '\Utility\Entity\Image',
					'backImage'          => '\Utility\Entity\Image',
					'interiorImage'      => '\Utility\Entity\Image',
					'engineImage'        => '\Utility\Entity\Image',
					'natisImage'         => '\Utility\Entity\Image'
			),
			'Dependants'  => array(
					'accessories' => '\Stock\Entity\Accessory'
			)
	);
	/**
	 * @var array
	*/
	protected $metaStockControl = array(
			'Type'          => 'Report',
			'Builder'       => '\Stock\Report\StockControl',
			'Writer'        => '\Utility\Export\ExcelReport',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Report' => array(
							'dateFrom'      => 'Date',
							'dateTo'        => 'Date',
							'jobState'      => 'String25'
					)
			)
	);

}