<?php
namespace Stock\Entity;

use Doctrine\ORM\Mapping as ORM;



/**
 * @ORM\Entity
 * @ORM\Table(name="stock_accessories")
 */
class StockAccessory
{

	/**
	 * Can archive records.
	 */
	const ARCHIVE = false;
	/**
	 * Pull Synchronization Strategy for this table.
	 */
	const PULL_SYNCH_STRATEGY = false;
	/**
	 * Push Synchronization Strategy for this table.
	 */
	const PUSH_SYNCH_STRATEGY = false;


	/**
	 * @ORM\Id
	 * @ORM\Column(type="integer");
	 * @ORM\GeneratedValue(strategy="AUTO")
	 */
	protected $id;

	/**
	 * @ORM\ManyToOne(targetEntity="Stock", inversedBy="accessories")
	 * @ORM\JoinColumn(name="stock_id", referencedColumnName="id")
	 **/
	protected $stock;

	/**
	 * @ORM\ManyToOne(targetEntity="Accessory")
	 * @ORM\JoinColumn(name="vehicle_accessory_id", referencedColumnName="id")
	 **/
	protected $accessory;



	/**
	 * Magic getter to expose protected properties.
	 * @param string $property
	 * @return mixed
	 */
	public function __get($property)
	{
		return $this->$property;
	}

	/**
	 * Magic setter to save protected properties.
	 * @param string $property
	 * @param mixed $value
	 */
	public function __set($property, $value)
	{
		$this->$property = $value;
	}

	/**
	 * Convert the object to an array.
	 * @param array $expand
	 * @param array $intersect
	 * @return array
	 */
	public function toArray(
			array $expand = array(), array $intersect = array(), $showIdentifiers = false
			)
	{
		$includeAll = empty($intersect);
		$data = array();
		($includeAll || isset($intersect['id']))
			&& $data['id'] = $this->id;
		($includeAll || isset($intersect['accessory']))
			&& $data['accessory'] = $showIdentifiers
									? $this->accessory->id
									: $this->accessory->toArray();
		return $data;
	}

	/**
	 * Populate from an array.
	 * @param array $data
	 */
	public function fromArray($data = array())
	{
		isset($data['id'])
			&& $this->id = $data['id'];
		isset($data['stock'])
			&& $this->stock  = $data['stock'];
		isset($data['accessory'])
			&& $this->accessory  = $data['accessory'];
	}

}
