<?php
namespace User\DataBin;



/**
 * Manage Permissions data.
 * @author andre.fourie
 */
class Override extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Override',
			'DatasetName' => 'overrides',
			'Entity'      => '\User\Entity\Override',
			'References'  => array(
					'profile' => '\User\Entity\Profile'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	 */
	protected $metaUpdate = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Override' => array(
							'accessAdminModule' 		=> 'Boolean',
							'accessPortalModule' 		=> 'Boolean',
							'settingsPage' 				=> 'Boolean',
							'settingsUser' 				=> 'Boolean',
							'settingsClub' 				=> 'Boolean',
							'settingsMembership' 		=> 'Boolean',
							'settingsRetail' 			=> 'Boolean',
							'settingsReport' 			=> 'Boolean',
							'settingsHpiReport' 		=> 'Boolean',
							'settingsGridExport' 		=> 'Boolean',
							'settingsDealership' 		=> 'Boolean',
							'settingsPersonal' 			=> 'Boolean',
							'settingsResetPin' 			=> 'Boolean',
							'valuationPage' 			=> 'Boolean',
							'valuationView' 			=> 'Boolean',
							'valuationArchive' 			=> 'Boolean',
							'valuationUnarchive' 		=> 'Boolean',
							'valuationCreateNew' 		=> 'Boolean',
							'valuationCreateSales' 		=> 'Boolean',
							'valuationCreatePending'	=> 'Boolean',
							'valuationCreatePriceguide'	=> 'Boolean',
							'valuationCreateComplete'	=> 'Boolean',
							'valuationCreateStock'		=> 'Boolean',
							'valuationUpdate'			=> 'Boolean',
							'valuationRoutePending'		=> 'Boolean',
							'valuationRouteComplete'	=> 'Boolean',
							'valuationRouteStock'		=> 'Boolean',
							'valuationRoutePriceguide'	=> 'Boolean',
							'valuationIsSales'			=> 'Boolean',
							'valuationIsValuator'		=> 'Boolean',
							'valuationPrint'			=> 'Boolean',
							'valuationB4cReport'		=> 'Boolean',
							'valuationBmw'				=> 'Boolean',
							'valuationRouteDealDone'	=> 'Boolean',
							'valuationRouteDealNotDone'	=> 'Boolean',
							'valuationGridExport'		=> 'Boolean',
							'valuationUpdateDamages'	=> 'Boolean',
							'valuationUpdateCoverReceived'	=> 'Boolean',
							'valuationUploadPhotos'		=> 'Boolean',
							'valuationPricingDetails'	=> 'Boolean',
                            'valuationCalendar'	        => 'Boolean',
							'pgPage' 					=> 'Boolean',
							'pgB4cReport' 				=> 'Boolean',
							'pgView' 					=> 'Boolean',
							'pgMakeOffer'	 			=> 'Boolean',
							'pgUpdateOffer' 			=> 'Boolean',
							'pgPrint' 					=> 'Boolean',
							'pgGridExport' 				=> 'Boolean',
							'pgArchive' 				=> 'Boolean',
							'pgUnArchive' 				=> 'Boolean',
							'auctionPage' 				=> 'Boolean',
							'auctionGridExport' 		=> 'Boolean',
							'auctionBid' 				=> 'Boolean',
							'tcPage' 					=> 'Boolean',
							'tcGridExport'				=> 'Boolean',
							'stockPage' 				=> 'Boolean',
							'stockCreate' 				=> 'Boolean',
							'stockView' 				=> 'Boolean',
							'stockRouteAuction' 		=> 'Boolean',
							'stockRouteRetail' 			=> 'Boolean',
							'stockReclaimRetail' 		=> 'Boolean',
							'stockRoutePriceguide' 		=> 'Boolean',
							'stockRouteValuation' 		=> 'Boolean',
							'stockPrint' 				=> 'Boolean',
							'stockArchive' 				=> 'Boolean',
							'stockUnarchive' 			=> 'Boolean',
							'stockUpdate' 				=> 'Boolean',
							'stockGridExport' 			=> 'Boolean',
                            'stockAuctionReportGridExport' 			=> 'Boolean',
                            'stockBulkImportDrive' 			=> 'Boolean',
                            'stockBulkImportPinnacle' 			=> 'Boolean',
							'stockUpdateDamages' 		=> 'Boolean',
							'stockUpdateCoverReceived' 		=> 'Boolean',
							'stockUploadPhotos' 		=> 'Boolean',
							'appCreateValuation' 		=> 'Boolean',
							'appCompleteValuation' 		=> 'Boolean',
							'adminPage' 				=> 'Boolean',
							'adminRegistration' 		=> 'Boolean',
							'adminReport' 				=> 'Boolean',
							'adminCommunication' 		=> 'Boolean',
							'adminSettings' 			=> 'Boolean',
							'adminUser' 				=> 'Boolean',
							'adminDealer' 				=> 'Boolean',
							'adminAuction' 				=> 'Boolean',
							'suAccess' 					=> 'Boolean',
							'suGroupFull' 				=> 'Boolean',
							'suDivisionFull' 			=> 'Boolean',
							'suCompanyFull' 			=> 'Boolean',
                            'historicalPage' 			=> 'Boolean',
                            'etpGemDmd' 			    => 'Boolean'
					)
			)
	);

}