<?php
namespace User;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = false;
	/**
	 * @var string
	 */
	protected $initState    = 'This.Active';
	/**
	 * @var string
	 */
	protected $initTrigger  = 'Profile.Create';
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Profile';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Profile' => '\User\Entity\Profile'
	);
	/**
	 * @var array
	 */
	protected $linkMap = array();
	/**
	 * @var array
	 */
	protected $listen = array();
	/**
	 * @var array
	 */
	protected $reclaim = array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					'Profile.ForgotPassword'     => array(),
					'Profile.Login'              => array(),
					'Profile.Logout'             => array(),
					'Profile.ActiveAccount'      => array(),
					'Profile.List'               => array(),
					'Profile.Grid'               => array(),
					'Profile.AdminGrid'          => array(),
					'Profile.Create'             => array(),
					'Profile.SetSu'              => array(),
					'Profile.SelectList'         => array(),
					'Profile.ManagerList'        => array(),
					'Profile.AdminManagerList'   => array(),
					'Profile.SalesList'          => array(),
					'Profile.ValuatorList'       => array(),
					'Permissions.SelectList'     => array(),
					'Permissions.FullSelectList' => array(),
					'Permissions.Grid'           => array(),
					'Permissions.Update'         => array(),
					'Override.Update'            => array(),
					'Registration.RegisterFull'  => array()
				)
			),
			'Active' => array(
				'Init' => 'Profile.initActiveUser',
				'Actions' => array(
					'Profile.Update'            => array(),
					'Profile.Unsubscribe'       => array(),
					'Profile.UpdatePermissions' => array(),
					'Profile.ChangePassword'    => array()
				),
				'Routes' => array(
					'Workflow.MoveToSuspended' => array(
							'Destination' => 'This.Suspended'
					),
					'Workflow.MoveToArchive' => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Suspended' => array(
				'Init' => 'Profile.initSuspendedUser',
				'Actions' => array(
					'Profile.View'   => array(),
					'Profile.Update' => array()
				),
				'Routes' => array(
					'Workflow.MoveToActive' => array(
							'Destination' => 'This.Active'
					),
					'Workflow.MoveToArchive' => array(
							'Destination' => 'This.Archived'
					)
				)
			),
			'Archived' => array(
				'Actions' => array(
					'Profile.View'   => array(),
					'Profile.Update' => array()
				),
				'Routes' => array(
					'Workflow.MoveToActive' => array(
							'Destination' => 'This.Active'
					)
				)
			)
	);


}