<?php

namespace Utility\Fixture;

class Template  extends \Fixture\Service\Fixture
{
	static public function build()
	{
		$tempatesDir = __DIR__ . '/../../../../../data/templates/';

		parent::addStack('\Utility\Entity\Template',
				array(
					array(
							'name'				=> 'auction-list',
							'subject'			=> 'Vehicles coming off auction.',
							'tags'				=> 'auctioncount',
							'emailTemplate'		=> file_get_contents($tempatesDir . 'auction-list.html'),
							'smsTemplate'		=> '',
							'repeaterTemplate' 	=> parent::getReference('Template.AuctionListRepeater')
					),
					array(
							'name'			=> 'auction-loaded',
							'subject'		=> 'Vehicle live on Bid4Cars Auction.',
							'tags'			=> 'first_name,family_name,make,model,type,image',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-loaded.html'),
							'smsTemplate'	=> ''
					),
					array(
							'name'			=> 'auction-no-sale',
							'subject'		=> 'No winner on Bid4Cars Auction.',
							'tags'			=> 'first_name,family_name,vehicle,reservePrice,registrationNumber,stockNumber',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-no-sale.html'),
							'smsTemplate'	=> ''
					),
					array(
							'name'			=> 'auction-sale-admin',
							'subject'		=> 'Auction Successful.',
							'tags'			=> 'vehicle,seller,price,buyer',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-sale-admin.html'),
							'smsTemplate'	=> ''
					),
					array(
							'name'			=> 'auction-sale-buyer',
							'subject'		=> 'Bid Successful.',
							'tags'			=> 'first_name,family_name,vehicle,seller,price,seller_name,vehicle_address,'
											 . 'seller_billing_address,seller_vat_number,seller_email,stock_number,'
											 . 'buyer,buyer_name,buyer_address,buyer_vat_number,'
											 . 'buyer_mobile,buyer_email',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-sale-buyer.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'auction-sale-buyer.txt')
					),
					array(
							'name'			=> 'auction-sale-seller',
							'subject'		=> 'Auction Successul.',
							'tags'			=> 'first_name,family_name,vehicle,price,buyer,buyer_name,'
											 . 'buyer_address,buyer_vat_number,buyer_mobile,buyer_email,'
											 . 'seller,seller_name,vehicle_address,seller_billing_address,'
											 . 'seller_vat_number,seller_email,stock_number',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-sale-seller.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'auction-sale-seller.txt')
					),
					array(
							'name'			=> 'auction-outbid',
							'subject'		=> 'You have been outbid.',
							'tags'			=> 'first_name,family_name,vehicle,seller,price,bid,auction_expiry_date',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'outbid.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'outbid.txt')
					),
					array(
							'name'			=> 'auction-question',
							'subject'		=> 'Stock Question.',
							'tags'			=> 'first_name,family_name,dealer,vehicle,question',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-question.html'),
							'smsTemplate'	=> ''
					),
					array(
							'name'			=> 'auction-reply',
							'subject'		=> 'Stock Reply.',
							'tags'			=> 'first_name,family_name,dealer,vehicle,question,reply',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'auction-reply.html'),
							'smsTemplate'	=> ''
					),
					'template.forgot.pin' => array(
							'name'			=> 'forgot-pin',
							'subject'		=> 'Your pin was reset on the Bid 4 Cars website.',
							'tags'			=> 'firstName,familyName,email,pin',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'forgot-pin.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'forgot-pin.txt')
					),
					array(
							'name'			=> 'public-submission',
							'subject'		=> 'Notification of successful submission of vehicle.',
							'tags'			=> 'first_name,family_name,year,make,model,type,reg_no',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'public-submission.html'),
							'smsTemplate'	=> ''
					),
					'template.valuation.new.mobile' => array(
							'name'			=> 'valuation-mobile-new',
							'subject'		=> 'New mobile valuation.',
							'tags'			=> 'firstName,familyName,vehicle_reg,customer_name,customer_family_name',
							'emailTemplate' => '',
							'smsTemplate'	=> file_get_contents($tempatesDir . 'valuation-mobile-new.txt')
					),
					'template.valuation.completed' => array(
							'name'			=> 'valuation-completed',
							'subject'		=> 'Valuation Completed.',
							'tags'			=> 'firstName,familyName,customer.name,customer.familyName,dateCreated,refNo,valNo,year,make,model,type,regNo,salesComments',
							'emailTemplate' => file_get_contents($tempatesDir . 'valuation-completed.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'valuation-completed.txt')
					),
					'template.highest.price.guide' => array(
							'name'			=> 'highest-price-guide',
							'subject'		=> 'Confirmation of Highest Offer on Price Guide',
							'tags'			=> 'firstName,familyName,highest_offer_amount,Dealership_Name,year,make,model,Trade,Retail,registration_number',
							'emailTemplate' => file_get_contents($tempatesDir . 'highest-price-guide.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'highest-price-guide.txt')
					),
					'template.price.guide.offer.accepted' => array(
							'name'			=> 'price-guide-offer-accepted',
							'subject'		=> 'Price Guide Offer Accepted',
							'tags'			=> 'firstName,familyName,highestOfferAmount,dealershipName,registeredName,contactPerson,contactNumber,contactEmail,year,make,model,type,trade,retail,registrationNumber,daysRemaining,referenceNumber',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-offer-accepted.html'),
							'smsTemplate'	=> ''
					),
					'template.price.guide.keep.stock' => array(
							'name'			=> 'price-guide-keep-stock',
							'subject'		=> 'Vehicle retained for stock',
							'tags'			=> 'firstName,familyName,highestOfferAmount,dealershipName,year,make,model,type,trade,retail,registrationNumber,referenceNumber',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-keep-stock.html'),
							'smsTemplate'	=> ''
					),
					'template.price.guide.offer.used' => array(
							'name'			=> 'price-guide-offer-used',
							'subject'		=> 'Notification of Offer in Use',
							'tags'			=> 'firstName,familyName,offerAmount,year,make,model,type,regNo',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-offer-used.html'),
							'smsTemplate'	=> ''
					),
					'template.price.guide.offer.dropped' => array(
							'name'			=> 'price-guide-offer-dropped',
							'subject'		=> 'Notification of Offer NO LONGER in Use',
							'tags'			=> 'firstName,familyName,offerAmount,year,make,model,type,regNo,referenceNumber',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-offer-dropped.html'),
							'smsTemplate'	=> ''
					),
					'template.price.guide.offer.declined' => array(
							'name'			=> 'price-guide-offer-declined',
							'subject'		=> 'Notification of Offer not being successful',
							'tags'			=> 'firstName,familyName,offerAmount,year,make,model,type,regNo,referenceNumber',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-offer-declined.html'),
							'smsTemplate'	=> ''
					),
					'template.price.guide.offer.relist' => array(
							'name'			=> 'price-guide-offer-relist',
							'subject'		=> 'Notification of Relisting',
							'tags'			=> 'firstName,familyName,offerAmount,year,make,model,type,regNo,referenceNumber',
							'emailTemplate' => file_get_contents($tempatesDir . 'price-guide-offer-relist.html'),
							'smsTemplate'	=> ''
					),

					'template.club.stock.on.offer' => array(
							'name'			=> 'club-stock-on-offer',
							'subject'		=> 'We invite you to make an offer.',
							'tags'			=> 'firstName,familyName,company.name,make.name,model.name,type.name,tradeRetail,link,seller',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'club-stock-on-offer.html'),
							'smsTemplate'	=> file_get_contents($tempatesDir . 'club-stock-on-offer.txt')
					),
					'template.club.invite.accepted' => array(
							'name'			=> 'club-invite-accepted',
							'subject'		=> 'Bid4cars: New club member.',
							'tags'			=> 'firstName,familyName,clubName,clubType,dealer,dealer.contactFirstName,dealer.contactFamilyName',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'club-invite-accepted.html'),
							'smsTemplate'	=> ''
					),
					'template.club.membership.revoked' => array(
							'name'			=> 'club-membership-revoked',
							'subject'		=> 'Bid4cars: Club membership revoked.',
							'tags'			=> 'firstName,familyName,dealer,clubName,reason',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'club-membership-removed.html'),
							'smsTemplate'	=> ''
					),
					'template.club.invite.registered' => array(
							'name'			=> 'club-invite-registered',
							'subject'		=> 'Bid4cars: Club membership invite.',
							'tags'			=> 'firstName,familyName,clubType,dealer,contact.name,contact.familyName,contact.email,contact.cell',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'club-invite-registered.html'),
							'smsTemplate'	=> ''
					),
					'template.stock.not.sold' => array(
							'name'			=> 'stock-not-sold',
							'subject'		=> 'Stock not yet sold.',
							'tags'			=> 'firstName,familyName,make.name,model.name,days',
							'emailTemplate'	=> file_get_contents($tempatesDir . 'stock-not-sold.html'),
							'smsTemplate'	=> ''
					),
					'template.general' => array(
							'name'			=> 'general',
							'subject'		=> 'Bid4Cars email.',
							'tags'			=> 'body',
							'emailTemplate' => file_get_contents($tempatesDir . 'general.html'),
							'smsTemplate'	=> ''
					),
					'template.contact.request' => array(
							'name'			=> 'contact-rquest',
							'subject'		=> 'Bid4Cars contact request.',
							'tags'			=> 'personName,tradingName,email,mobile,telephone,subject,message',
							'emailTemplate' => file_get_contents($tempatesDir . 'contact-request.html'),
							'smsTemplate'	=> ''
					),
					'template.welcome' => array(
							'name'			=> 'welcome',
							'subject'		=> 'Thank you for registering with Bid4Cars.',
							'tags'			=> 'firstName,familyName',
							'emailTemplate' => file_get_contents($tempatesDir . 'welcome.html'),
							'smsTemplate'	=> ''
					),
					'template.activation.pending' => array(
							'name'			=> 'activation-pending',
							'subject'		=> 'Activation of your registration on Bid4Cars is still pending.',
							'tags'			=> 'firstName,familyName,message',
							'emailTemplate' => file_get_contents($tempatesDir . 'activation-pending.html'),
							'smsTemplate'	=> ''
					),
					'template.registration.pending' => array(
							'name'			=> 'registration-pending',
							'subject'		=> 'Your application was flagged as pending.',
							'tags'			=> 'firstName,familyName,status_reason',
							'emailTemplate' => file_get_contents($tempatesDir . 'registration-pending.html'),
							'smsTemplate'	=> ''
					),
					'template.registration.declined' => array(
							'name'			=> 'registration-declined',
							'subject'		=> 'Your application was declined.',
							'tags'			=> 'firstName,familyName,status_reason',
							'emailTemplate' => file_get_contents($tempatesDir . 'registration-declined.html'),
							'smsTemplate'	=> ''
					),
					'template.registration.success' => array(
							'name'			=> 'registration-success',
							'subject'		=> 'Congratulations, your registration has been approved!',
							'tags'			=> 'firstName,familyName,email',
							'emailTemplate' => file_get_contents($tempatesDir . 'registration-success.html'),
							'smsTemplate'	=> ''
					),
					'template.new.auctionprofile.recipient' => array(
							'name'			=> 'new-profile-auction',
							'subject'		=> 'Profile created/updated',
							'tags'			=> 'firstName,familyName,email,pin',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-profile-auction.html'),
							'smsTemplate'	=> ''
					),
					'template.new.profile.recipient' => array(
							'name'			=> 'new-profile-recipient',
							'subject'		=> 'Profile created/updated',
							'tags'			=> 'firstName,familyName,email,pin',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-profile-recipient.html'),
							'smsTemplate'	=> ''
					),
					'template.new.profile.admin.notification' => array(
							'name'			=> 'new-profile-admin-notification',
							'subject'		=> 'Profile created/updated by user',
							'tags'			=> 'firstName,familyName,company.firstName,company.familyName,profile.name,company.name,profile.familyName,email',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-profile-admin-notification.html'),
							'smsTemplate'	=> ''
					),
					'template.new.vehicle' => array(
							'name'			=> 'new-vehicle',
							'subject'		=> 'New vehicle added',
							'tags'			=> 'firstName,familyName,vehicle',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-vehicle.html'),
							'smsTemplate'	=> ''
					),
					'newsletter.basic' => array(
							'name'			=> 'newsletter-basic',
							'subject'		=> 'Bid4cars newsletter',
							'tags'			=> 'headerImageSource,body,footerImageSource',
							'emailTemplate' => file_get_contents($tempatesDir . 'newsletter.html'),
							'smsTemplate'	=> ''
					),
					'template.dispute' => array(
							'name'			=> 'new-dispute',
							'subject'		=> 'New Dispute Logged',
							'tags'			=> 'plaintive,defendant,vehicle,reference_number,registration_number,complaint'
											 . ',plaintive_contact,plaintive_telephone,plaintive_mobile,plaintive_email'
											 . ',defendant_contact,defendant_telephone,defendant_mobile,defendant_email',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-dispute.html'),
							'smsTemplate'	=> ''
					),
					'template.newpublicpriceguide' => array(
							'name'			=> 'new-public-to-priceguide',
							'subject'		=> 'Vehicle submitted to Dealer network',
							'tags'			=> 'firstName,familyName,year,make,model,type,regNo',
							'emailTemplate' => file_get_contents($tempatesDir . 'new-public-to-priceguide.html'),
							'smsTemplate'	=> ''
					)
				)
		);
	}
}