<?php
namespace Utility\Import;

class CallBack implements FieldInterface
{
	private $_function;
	private $_parameters = null;
	public $placeHolder = null;

	public function __construct($function, array $parameters = null)
	{
		$this->_function = $function;
		if($parameters)
			$this->_parameters = $parameters;
	}

	public function parse($value)
	{
		$parameters = array();
		if($this->_parameters) {
			$parameters = $this->_parameters;
		}
		if($this->placeHolder) {
			$key = array_search($this->placeHolder, $this->_parameters);
			if($key)
				$parameters[$key] = $value;
		} else
			array_unshift($parameters, $value);

		return call_user_func_array($this->_function, $parameters);
	}
}
