<?php
namespace Valuation;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'Valuation\Controller\XmlRpc' => 'Valuation\Controller\XmlRpcController',
						'Valuation\Controller\Valuation' => 'Valuation\Controller\ValuationController'
				),
		),
	    'router' => array(
	        'routes' => array(
	            'xmlrpc10server' => array(
	                'type'    => 'literal',
	                'options' => array(
	                    'route'    => '/xmlrpc/1.0',
	                    'defaults' => array(
	                        'controller' => 'Valuation\Controller\XmlRpc',
	                        'action'     => 'xmlRpcServer',
	                    ),
	                ),
	            ),
	            'xmlrpc10client' => array(
	                'type'    => 'literal',
	                'options' => array(
	                    'route'    => '/xmlrpc/1.0/test',
	                    'defaults' => array(
	                        'controller' => 'Valuation\Controller\XmlRpc',
	                        'action'     => 'xmlRpcClient',
	                    ),
	                ),
	            ),
                'xmlrpc10callback' => array(
	                'type'    => 'literal',
                    'options' => array(
                        'route'    => '/xmlrpc/1.0/callback',
                        'defaults' => array(
                            'controller' => 'Valuation\Controller\XmlRpc',
                            'action'     => 'callback'
                        )
                    )
                ),
	        ),
	    ),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'xmlrpc10sentToSales' => array(
	                    'options' => array(
	                        'route'    => 'xmlrpc sentToSales <valuationId>',
	                        'defaults' => array(
	                            'controller' => 'Valuation\Controller\XmlRpc',
	                            'action'     => 'triggerSentToSales'
	                        )
	                    )
	                ),
	                'xmlrpc10retryCallbacks' => array(
	                    'options' => array(
	                        'route'    => 'xmlrpc retryCallbacks',
	                        'defaults' => array(
	                            'controller' => 'Valuation\Controller\XmlRpc',
	                            'action'     => 'retryCallbacks'
	                        )
	                    )
	                ),
	                'valuationchangepush' => array(
		                'options' => array(
			                'route'    => 'valuation change <changeCode> <id> <skipId>',
			                'defaults' => array(
				                'controller' => 'Valuation\Controller\Valuation',
				                'action'     => 'pushChange'
			                )
		                )
	                )
	            )
	        )
	    )
);