<?php

namespace Valuation\DataBin;

/**
 * Manage Customer Public Valuation data.
 * @author andre.fourie
 */
class CustomerPublicValuation extends \Workspace\Service\DataBin
{

  /**
   * @var array
   */
  protected $meta = array(
    'Base' => 'CustomerPublicValuation',
    'DatasetName' => 'customerPublicValuations',
    'Entity' => '\Valuation\Entity\CustomerPublicValuation',
    'References' => array(
      'stock' => '\Stock\Entity\Stock',
      'valuation' => '\Valuation\Entity\Valuation',
    ),
    'Dependants' => array()
  );

  /**
   * @var array
   */
  protected $metaList = array(
    'Contract' => 'Recurring',
    'RequireAuth' => true,
    'RequiredInput' => array(),
    'OptionalInput' => array(
      'Filter' => array(
        'created' => 'Date',
        'updated' => 'Date',
        'customerHash' => 'String255',
        'stock' => 'Id',
        'valuation' => 'Id',
      )
    ),
    'Filter' => array(),
    'Fields' => array(
      'customerHash',
      'stock',
      'valuation'
    ),
    'Expand' => array()
  );



  /**
   * @var array
   */
  protected $metaCreate = array(
    'Type' => 'Create',
    'Contract' => 'Recurring',
    'Flags' => array(),
    'RelatedEntityFromInput' => array(
      'Stock' => array(
        'Workflow' => '\Stock\Workflow',
        'Service' => '\Stock\Service\Stock',
        'Field' => 'stock'
      ),
        'Valuation' => array(
        'Workflow' => '\Valuation\Workflow',
        'Service' => '\Valuation\Service\Valuation',
        'Field' => 'valuation'
      )
    ),
    'RequiredInput' => array(
      'CustomerPublicValuation' => array(
        'customerHash' => 'String255'
      ),
    ),
    'OptionalInput' => array(
      'CustomerPublicValuation' => array()
    )
  );



  /**
   * @var array
   */
  protected $metaUpdate = array(
    'Type' => 'Update',
    'Contract' => 'UseOnce',
    'RequireAuth' => true,
      'RelatedEntityFromInput' => array(
          'Stock' => array(
              'Workflow' => '\Stock\Workflow',
              'Service' => '\Stock\Service\Stock',
              'Field' => 'stock'
          ),
          'Valuation' => array(
              'Workflow' => '\Valuation\Workflow',
              'Service' => '\Valuation\Service\Valuation',
              'Field' => 'valuation'
          )
      ),
      'RequiredInput' => array(
          'CustomerPublicValuation' => array(
              'customerHash' => 'String255'
          ),
      ),
      'OptionalInput' => array(
          'CustomerPublicValuation' => array()
      )
  );


  /**
   * @var array
   */
  protected $metaDelete = array(
    'Contract' => 'UseOnce',
    'RequireAuth' => true
  );



  /**
   * Dynamic filtering.
   */
  public function __construct()
  {

  }

}
