<?php
namespace Valuation\DataBin;



/**
 * Valuation reports.
 * @author andre.fourie
 */
class Report extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Valuation',
			'DatasetName' => 'valuations',
			'Entity'      => '\Valuation\Entity\Valuation',
			'References'  => array(
					'stock'          => '\Stock\Entity\Stock',
					'createdBy'      => '\User\Entity\Profile',
					'valuatedBy'     => '\User\Entity\Profile',
					'salesProfile'   => '\User\Entity\Profile',
					'managerProfile' => '\User\Entity\Profile'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaValuations = array(
			'Type'          => 'Report',
			'Builder'       => '\Valuation\Report\Valuations',
			'Writer'        => '\Utility\Export\ExcelReport',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Report' => array(
							'dateFrom'      => 'Date',
							'dateTo'        => 'Date',
							'jobState'      => 'String25'
					)
			)
	);

}