<?php
namespace Valuation\DataBin;



/**
 * Manage XmlRpc clients.
 * @author andre.fourie
 */
class XmlRpc extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'XmlRpc',
			'DatasetName' => '',
			'Entity'      => '\Valuation\Entity\XmlRpc',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'clientName'       => 'String50'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[clientName]',
				'Fields' => array('clientName')
			)
	);
	/**
	 * @var array
	*/
	protected $metaGrid = array(
			'Type'          => 'Grid',
			'Contract'      => 'Recurring',
			'Options'       => array(),
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Grid' => array(
							'NumberOfRecords' => 'Integer',
							'Page'            => 'Integer',
							'Filter'          => 'Array',
							'OrderBy'         => 'Array',
					)
			),
			'Base'            => 'xmlRpc',
			'NumberOfRecords' => 10,
			'Query'           => 'SELECT [SELECTION]
								FROM \Valuation\Entity\XmlRpc xmlRpc
								[WHERE] [ORDER]',
			'Selection'       => 'xmlRpc',
			'Filter'          => array(),
			'OrderBy'         => array('xmlRpc.clientName' => 'ASC'),
			'Fields'          => array(
									'id',
									'clientName',
									'clientApiId',
									'callbackUrl',
									'triggerSentToSales',
									'created' => 'DateTime',
									'archived'
								)
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'          => 'Create',
			'Contract'      => 'UseOnce',
			'Expand'        => array(),
			'RequiredInput' => array(
					'XmlRpc' => array(
							'clientName' 			=> 'String50',
              				'callbackUrl' 			=> 'String250',
							'triggerSentToSales' 	=> 'Boolean',
							'password'				=> 'String50'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'          => 'Update',
			'Contract'      => 'UseOnce',
			'Expand'        => array(),
			'RequiredInput' => array(
					'XmlRpc' => array(
							'clientName' 			=> 'String50',
              				'callbackUrl' 			=> 'String250',
							'triggerSentToSales' 	=> 'Boolean'
					)
			),
			'OptionalInput' => array(
					'XmlRpc' => array(
							'password' => 'String50'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Type'          => 'Delete',
			'Contract'      => 'UseOnce',
			'Expand'        => array(),
			'RequiredInput' => array(),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUnDelete = array(
			'Type'          => 'UnDelete',
			'Contract'      => 'UseOnce',
			'Expand'        => array(),
			'RequiredInput' => array(),
			'OptionalInput' => array()
	);



}