<?php
namespace Valuation\Service;



/**
 * Manage Valuation Appointments data.
 * @author andre.fourie
 */
class ValuationAppointments extends \Valuation\DataBin\ValuationAppointments
{

    /**
     * ExecuteAfter: Update.
     * @param array                                 $meta
     * @param object|null                           $jobRecord
     * @param object|null                           $record
     * @param \Workspace\Utility\ServiceInputParams $contract
     * @return array
     */
    public function updateSendCustomerEmail($meta, $jobRecord, $record, \Workspace\Utility\ServiceInputParams $contract)
    {
        $record = $record
            ? $record
            : $jobRecord;

        //send the email to customer informing them about the changes to the appointment

        $appointmentDate = new \DateTime($record->appointmentDate->format('Y-m-d'));

        $fromCompanyId	= isset($authData['company']['id']) ? $authData['company']['id'] : null;
        $fromProfileId	= isset($authData['id']) ? $authData['id'] : null;

        $toCompanyId	= $fromCompanyId;
        $toProfileId	= $record->valuation->valuatedBy;
        $email			= $record->valuation->email;
        $mobile			= null;
        $subject		= "Notification of successful submission of vehicle";
        $templateName	= 'public-general';


        $params['body'] = '<table border="0" cellspacing="0" cellpadding="0" width="600" style="border-collapse:collapse; border-spacing:0; margin:0; padding:0; width:600px; font-family: Arial, Sans-serif; font-size:12px;">
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    Good Day ' . $record->valuation->firstName . ' ' . $record->valuation->familyName . ',
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    Your <a target="blank" href="{APP_HOST}">WePay4Cars</a> valuation appointment has been updated.
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table border="0" cellspacing="0" cellpadding="0" width="800" style="border-collapse:collapse; border-spacing:0; margin:0; padding:0; width:800px; font-family: Arial, Sans-serif; font-size:12px;">
                            <tr>
                                <td width="10" valign="top" style="width:10px;">&nbsp;</td>
                                <td width="50" valign="top" style="width:50px; font-family: Arial, Sans-serif; font-size:12px;">
                                    <b>Year:</b>
                                </td>
                                <td width="180" valign="top" style="width:180px;">
                                    ' . $record->valuation->stock->vehicleYear->name . '
                                </td>
                                <td width="20" valign="top" style="width:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td width="10" valign="top" style="width:10px;">&nbsp;</td>
                                <td width="50" valign="top" style="width:50px; font-family: Arial, Sans-serif; font-size:12px;">
                                    <b>Make:</b>
                                </td>
                                <td width="180" valign="top" style="width:180px;">
                                   ' . $record->valuation->stock->type->model->make->name . '
                                </td>
                                <td width="20" valign="top" style="width:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td width="10" valign="top" style="width:10px;">&nbsp;</td>
                                <td width="50" valign="top" style="width:50px; font-family: Arial, Sans-serif; font-size:12px;">
                                    <b>Model:</b>
                                </td>
                                <td width="180" valign="top" style="width:180px;">
                                   ' . $record->valuation->stock->type->model->name . '
                                </td>
                                <td width="20" valign="top" style="width:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td width="10" valign="top" style="width:10px;">&nbsp;</td>
                                <td width="50" valign="top" style="width:50px; font-family: Arial, Sans-serif; font-size:12px;">
                                    <b>Type:</b>
                                </td>
                                <td width="180" valign="top" style="width:180px;">
                                    ' . $record->valuation->stock->type->name . '
                                </td>
                                <td width="20" valign="top" style="width:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td width="10" valign="top" style="width:10px;">&nbsp;</td>
                                <td width="50" valign="top" style="width:50px; font-family: Arial, Sans-serif; font-size:12px;">
                                    <b>Reg no:</b>
                                </td>
                                <td width="180" valign="top" style="width:180px;">
                                    ' . $record->valuation->stock->registrationNumber . '
                                </td>
                                <td width="20" valign="top" style="width:20px;">&nbsp;</td>
                            </tr>
                        </table>
                        <table border="0" cellspacing="0" cellpadding="0" width="600" style="border-collapse:collapse; border-spacing:0; margin:0; padding:0; width:600px; font-family: Arial, Sans-serif; font-size:12px;">
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    Please not that the price offered on your vehicle is subject to final viewing.
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    Your booking for valuation will take place at:
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <table border="0" cellspacing="0" cellpadding="0" width="600" style="border-collapse:collapse; border-spacing:0; margin:0; padding:0; width:600px; font-family: Arial, Sans-serif; font-size:12px;">
                            <tr>
                                <td width="100%" valign="top" style="width:100%; font-family: Arial, Sans-serif; font-size:17px; font-weight:bold;">';
        $params['body'] .= $record->valuation->stock->company->name . ' ( ' . null != $record->valuation->stock->company->contact->office ? null != $record->valuation->stock->company->contact->office : $record->valuation->stock->company->contact->mobile . ' ) ';
        $params['body'] .=  '</td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;font-weight:bold;font-size:14px;">
                                    Date / Time:
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $appointmentDate->format('Y-m-d') . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->timeSlot->timeSlotDisplayName . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;font-weight:bold;font-size:14px;">
                                    Your Address:
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->valuation->customerAddressStreet . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->valuation->customerAddressStreetName . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->valuation->customerAddressSuburb . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->valuation->customerAddressCity . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    ' . $record->valuation->customerAddressPostalCode . '
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;font-weight:bold;font-size:14px;">
                                    Email:
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                   ' . $record->valuation->email . '
                                </td>
                            </tr>
                        </table>
                        <table border="0" cellspacing="0" cellpadding="0" width="600" style="border-collapse:collapse; border-spacing:0; margin:0; padding:0; width:600px; font-family: Arial, Sans-serif; font-size:12px;">
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    Regards
                                </td>
                            </tr>
                            <tr>
                                <td width="100%" valign="top" style="width:100%;">
                                    WePay4Cars Team
                                </td>
                            </tr>
                        </table>';
        $params['smsBody'] = '';


//        error_log('email body');
//        error_log($params['body']);

        $oNotify = new \Utility\Comms\Notification();
        $oNotify->sendFromTemplate(
            $fromCompanyId,
            $fromProfileId,
            $toCompanyId,
            $toProfileId,
            $email,
            $mobile,
            $subject,
            $templateName,
            $params
        );


    }

}