<?php
namespace Workspace;


return array(
		'controllers' => array(
				'invokables' => array(
						'Workspace\Controller\Workspace' => 'Workspace\Controller\WorkspaceController',
						'Workspace\Controller\DeviceWorkspace' => 'Workspace\Controller\DeviceWorkspaceController',
						'Workspace\Controller\DeviceWorkspace2' => 'Workspace\Controller\DeviceWorkspace2Controller',
						'Workspace\Controller\Unsubscribe' => 'Workspace\Controller\UnsubscribeController'
				),
		),
	    'router' => array(
	        'routes' => array(
	            'workspace' => array(
	                'type'    => 'segment',
	                'options' => array(
	                    'route'    => '/workspace[/][:action]',
	                    'constraints' => array(
	                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
	                    ),
	                    'defaults' => array(
	                        'controller' => 'Workspace\Controller\Workspace',
	                        'action'     => 'index',
	                    ),
	                ),
	            ),
	            'device-workspace' => array(
	                'type'    => 'segment',
	                'options' => array(
	                    'route'    => '/device-workspace[/][:action]',
	                    'constraints' => array(
	                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
	                    ),
	                    'defaults' => array(
	                        'controller' => 'Workspace\Controller\DeviceWorkspace',
	                        'action'     => 'index',
	                    ),
	                ),
	            ),
	            'device-api' => array(
	                'type'    => 'segment',
	                'options' => array(
	                    'route'    => '/device-api[/][:action]',
	                    'constraints' => array(
	                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
	                    ),
	                    'defaults' => array(
	                        'controller' => 'Workspace\Controller\DeviceWorkspace2',
	                        'action'     => 'index',
	                    ),
	                ),
	            ),
	            'unsubscribe' => array(
	                'type'    => 'segment',
	                'options' => array(
	                    'route'    => '/unsubscribe[/][:action]',
	                    'constraints' => array(
	                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
	                    ),
	                    'defaults' => array(
	                        'controller' => 'Workspace\Controller\Unsubscribe',
	                        'action'     => 'index',
	                    ),
	                ),
	            ),
	        ),
	    ),
		'view_manager' => array(
				'template_path_stack' => array(
						'workspace' => __DIR__ . '/../view',
				),
        'strategies' => array(
            'ViewJsonStrategy',
        )
		)
);